Subject: Re: [PATCH net] net: openvswitch: free vport unless register_netdevice() succeeds

From: Stefano Brivio <[email-masked]>
Date: Wed, 23 Oct 2019 02:20:53 +0200

Hi Jakub,

On Tue, 22 Oct 2019 14:53:16 -0700
Jakub Kicinski <[email-masked]> wrote:

> On Mon, 21 Oct 2019 12:01:57 +0200, Stefano Brivio wrote:
> > From: Hillf Danton <[email-masked]>
> > 
> > syzbot found the following crash on:  
>  
> > The function in net core, register_netdevice(), may fail with vport's
> > destruction callback either invoked or not. After commit 309b66970ee2,  
> 
> I've added the correct commit quote here, please heed checkpatch'es
> warnings.

I disregarded this warning as it looks redundant to me, given that the
full commit quote is already given in the Fixes: tag below.

In this specific case, I guess it doesn't really make a difference, but
sometimes one needs to mention the same commit multiple times in the
actual message, and while checkpatch would complain about every single
instance, I think that providing the full quote for each of them isn't
very useful and hinders readability.

> > Reported-by: [email-masked]
> > Fixes: 309b66970ee2 ("net: openvswitch: do not free vport if register_netdevice() is failed.")
> > Cc: Taehee Yoo <[email-masked]>
> > Cc: Greg Rose <[email-masked]>
> > Cc: Eric Dumazet <[email-masked]>
> > Cc: Marcelo Ricardo Leitner <[email-masked]>
> > Cc: Ying Xue <[email-masked]>
> > Cc: Andrey Konovalov <[email-masked]>
> > Signed-off-by: Hillf Danton <[email-masked]>
> > Acked-by: Pravin B Shelar <[email-masked]>
> > [sbrivio: this was sent to [email-masked] and never made its way
> >  to netdev -- resending original patch]
> > Signed-off-by: Stefano Brivio <[email-masked]>
> > ---
> > This patch was sent to [email-masked] and appeared on netdev
> > only as Pravin replied to it, giving his Acked-by. I contacted the
> > original author one month ago requesting to resend this to netdev,
> > but didn't get an answer, so I'm now resending the original patch.  
> 
> Applied and queued for 4.14+, thanks!

Thank you!

-- 
Stefano